Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
ezpRestStatusResponse Class Reference
Inheritance diagram for ezpRestStatusResponse:

## Public Member Functions
| __construct ( $code=null, $message=null, array $headers=array())
| process (ezcMvcResponseWriter $writer)

## Public Attributes
| $code
| $message
| $headers

## Static Public Attributes
static | $statusCodes

## Detailed Description

Definition at line 12 of file response.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpRestStatusResponse::__construct | ( |  | $code = `null`,
|  |  | $message = `null`,
|  | array | $headers = `array()`
| ) |  |

Construct an ezpRestStatusResponse object

Parameters

  int | $code | HTTP code
  string | $message | Message to be provided
  array | $headers | Headers

Definition at line 80 of file response.php.

References $code, $headers, and $message.

## Member Function Documentation

## ◆ process()

ezpRestStatusResponse::process | ( | ezcMvcResponseWriter | $writer | ) |

This method is called by the response writers to process the data contained in the status objects.

The process method it responsible for undertaking the proper action depending on which response writer is used.

Parameters

  ezcMvcResponseWriter | $writer |

Definition at line 96 of file response.php.

References $code.

## Member Data Documentation

## ◆ $code

ezpRestStatusResponse::$code

Definition at line 19 of file response.php.

Referenced by __construct(), and process().

## ◆ $headers

ezpRestStatusResponse::$headers

Definition at line 33 of file response.php.

Referenced by __construct().

## ◆ $message

ezpRestStatusResponse::$message

Definition at line 26 of file response.php.

Referenced by __construct().

## ◆ $statusCodes

ezpRestStatusResponse::$statusCodes
| static

Definition at line 40 of file response.php.

The documentation for this class was generated from the following file:

- response.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.